- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 85fce582-26c4-4c38-b19a-f278f7a730fa
    creation_time: 2023-02-17T12:11:35.328022Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_7.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_7.c: ae51dc9203c351522c25ee3116b2cda704928bb61769972b6b90792bfdf57f19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_7.c
    file_hash: ae51dc9203c351522c25ee3116b2cda704928bb61769972b6b90792bfdf57f19
    line: 10
    column: 0
    function: main
  loop_invariant:
    string: z == 0 &&  ( x < y && y == 50000 || 50000 <= x && x == y && y <= 1000000 ) 
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 05445c8c-1707-4c11-a42a-b0cd1f15c2d8
    creation_time: 2023-02-17T12:11:35.328286Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_7.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_7.c: ae51dc9203c351522c25ee3116b2cda704928bb61769972b6b90792bfdf57f19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_7.c
    file_hash: ae51dc9203c351522c25ee3116b2cda704928bb61769972b6b90792bfdf57f19
    line: 18
    column: 0
    function: main
  loop_invariant:
    string: z == 0 && x == y && y >= 0 && x%2 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 67844185-1c86-4f02-a8aa-fb79e4a9d731
    creation_time: 2023-02-17T12:11:35.328479Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loops-crafted-1/mono-crafted_7.c
      input_file_hashes:
        c/loops-crafted-1/mono-crafted_7.c: ae51dc9203c351522c25ee3116b2cda704928bb61769972b6b90792bfdf57f19
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops-crafted-1/mono-crafted_7.c
    file_hash: ae51dc9203c351522c25ee3116b2cda704928bb61769972b6b90792bfdf57f19
    line: 22
    column: 0
    function: main
  location_invariant:
    string: z == x
    type: assertion
    format: C

